BaseGrid::Axis(3)

NAME
BaseGrid::Axis - Graduations on a BaseGrid Axis (H or V).

SYNOPSIS

  Public Member Functions
void addGraduation (DbU::Unit)
void sort ()
unsigned int getSize () const
unsigned int getGraduationNumber (DbU::Unit pos, bool &onGraduation) const
const DbU::Unit & operator[] (unsigned int i) const

Detailed Description

Graduations on a BaseGrid Axis (H or V). Describe the list of graduations on either X or Y axis of a BaseGrid. Graduations correspond to cut lines and may not be evenly spaced.

Graduations are internally stored into a vector that needs to be sorted whenever new graduations are added (BaseGrid::Axis::sort()).

Member Function Documentation

  void addGraduation (DbU::Unit pos) [inline]
Adds a new graduation. After adding new graduations, do not forget to perform a sort.

Referenced by GCellGrid::_postCreate().

  void sort ()
Re-order the graduations after an addition.

Referenced by GCellGrid::_postCreate().

  size_t getSize () const [inline]
Returns: The number of graduations on the axis.

Referenced by GCellGrid::_postCreate().

  DbU::Unit getGraduationNumber (DbU::Unit pos, bool & onGraduation) const
Returns: The index of the graduation which is immediatly inferior or equal to pos. In case of strict equality, onGraduation is set to true.

  DbU::Unit operator[] (unsigned int index) const [inline]
Returns: The graduation at index.

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.